{ config, pkgs, ... }:

{
  services.hydra-dev = {
    enable = true;
    debugServer = true;
    extraEnv.HYDRA_DEBUG = "1";
    hydraURL = "https://server7.hq.c3d2.de";
    logo = ./hydra.svg;
    notificationSender = "hydra@spam.works";
    # package = pkgs.hydra-unstable;
    listenHost = "172.22.99.245";
    # listenHost = "*";
    extraConfig = ''
    <sotest>
    username = emery
    password = 36\#KAVMD
    </sotest>
    '';
  };

  nix.trustedUsers = [ "hydra" ];

  nix.buildMachines = [{
    hostName = "localhost";
    system = "x86_64-linux";
    supportedFeatures = [ "kvm" "nixos-test" "big-parallel" "benchmark" ];
    maxJobs = 8;
  }];

}
